<template>
  <v-app id="inspire">
    <v-navigation-drawer
      width="120"
      dark
      app>    
      <v-list>
        <v-list-item       
          v-for="item in items"
          :key="item.title"
          link
          :to="item.to">
          <v-list-item-content >
            <v-list-item-title  class="text-center">{{ item.title }}</v-list-item-title>
            <v-list-item-subtitle    class="text-center">
              <v-icon  x-large >{{ item.icon }}</v-icon>
            </v-list-item-subtitle>
          </v-list-item-content >
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-main>
       <router-view/>
    </v-main>
  </v-app>
</template>



<script>

export default {
  name: 'App',
  data: () => {
    return {
      items: [
          { title: 'Search', icon: 'mdi-magnify' ,to:'search' },
          { title: 'Account', icon: 'mdi-account-supervisor' },
        ],
    }
  },
};
</script>
